﻿@model EmploymentInfoModel
<input asp-for="Esp.DOB" />
<div id="step-4" class="d-none">
    <div class="row">
        <div class="col-xl-4">
            <div class="form-group @(Model?.Esp?.Guid!=null?"disabled-div":null)">
                <label asp-for="Esp.EmployerOffer"></label>
                <select multiple class="form-control form-control-lg @(Model?.Esp?.Guid!=null?"disabled":null)" asp-for="Esp.EmployerOffer" asp-items="ViewBag.EmployerOfferType">
                </select>
                <span asp-validation-for="Esp.EmployerOffer" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4 d-none esp">
            <div class="form-group">
                <label asp-for="Esp.EspCurrentBalance"></label>
                <input asp-for="Esp.EspCurrentBalance" class="form-control form-control-lg currency" type="text">
                <span asp-validation-for="Esp.EspCurrentBalance" class="text-danger"></span>
            </div>
        </div>
        <div class="col-xl-4 d-none esp">
            <div class="form-group">
                <label asp-for="Esp.EspAvgRateReturn"></label>
                <input asp-for="Esp.EspAvgRateReturn" class="form-control form-control-lg percentage ">
            </div>
        </div>
    </div>
    <div class="d-none esp">
        <div class="row form-group">
            <div class="col-xl-6" id="espcontri">
                <label asp-for="Esp.EspContribution"></label>
                <div class="input-group">
                    <input class="form-control form-control-lg currency none-zero exclude-zero" asp-for="Esp.EspContribution" data-target="Esp_EspContributionPercentage" type="text">
                    <div class="input-group-append">
                        <span class="input-group-text line-height-0 py-0">
                            Or
                        </span>
                    </div>
                    <input class="form-control form-control-lg percentage none-zero exclude-zero" asp-for="Esp.EspContributionPercentage" data-target="Esp_EspContribution">
                </div>
                <span class="text-danger field-validation-error d-none" asp-validation-for="Esp.EspContribution">Please enter at least one field.</span>
            </div>
            <div class="col-xl-6 d-none" id="espmatch">
                <label asp-for="Esp.EspEmployerMatch"></label>
                <div class="input-group">
                    <input class="form-control form-control-lg currency none-zero exclude-zero" asp-for="Esp.EspEmployerMatch" data-target="Esp_EspEmployerMatchPercentage" type="text">
                    <div class="input-group-append">
                        <span class="input-group-text line-height-0 py-0">
                            Or
                        </span>
                    </div>
                    <input class="form-control form-control-lg percentage none-zero exclude-zero" asp-for="Esp.EspEmployerMatchPercentage" data-target="Esp_EspEmployerMatch">
                </div>
                <span class="text-danger field-validation-error d-none" asp-validation-for="Esp.EspEmployerMatch">Please enter at least one field.</span>
            </div>
        </div>
    </div>
</div>
<div id="step-5" class="d-none">
    <div class="form-group @(Model?.Esp?.Guid!=null?"disabled-div":null)">
        <div class="d-flex">
            <span class="switch switch-icon switch-sm switch-custom @(Model?.Esp?.Guid!=null?"disabled":null)">
                <label>
                    <input type="checkbox" asp-for="Esp.HasPensionPlan">
                    <span></span>
                </label>
            </span>
            <label class="pl-5 mb-0 pt-1" asp-for="Esp.HasPensionPlan">
                Does your current employer offer a Defined Benefit Pension plan?
            </label>
        </div>
    </div>
    <div class="d-none pensionplan">
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="Esp.PensionExpectedAge">Pension Expected Age</label>
                    <input asp-for="Esp.PensionExpectedAge" class="form-control form-control-lg year-mask" type="text">
                    <span asp-validation-for="Esp.PensionExpectedAge" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="Esp.PensionBenefit"> Pension Expected Monthly Benefit</label>
                    <input asp-for="Esp.PensionBenefit" class="form-control form-control-lg currency" type="text">
                    <span asp-validation-for="Esp.PensionBenefit" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="Esp.PensionSurvivorBenefit">Pension Survivor Benefit</label>
                    <input asp-for="Esp.PensionSurvivorBenefit" class="form-control form-control-lg percentage ">
                    <span asp-validation-for="Esp.PensionSurvivorBenefit" class="text-danger"></span>
                </div>
            </div>
        </div>
    </div>
</div>